ShellContextFactory (rhino 1.7.14 API)

org.mozilla.javascript.tools.shell

## Class ShellContextFactory

- java.lang.Object
- - org.mozilla.javascript.ContextFactory
  - - org.mozilla.javascript.tools.shell.ShellContextFactory

-     public class ShellContextFactory
      extends ContextFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.mozilla.javascript.ContextFactory

      `ContextFactory.GlobalSetter, ContextFactory.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellContextFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharacterEncoding()`
    `protected boolean` | `hasFeature(Context cx, int featureIndex)` Implementation of `Context.hasFeature(int featureIndex)`.
    `protected void` | `onContextCreated(Context cx)`
    `void` | `setAllowReservedKeywords(boolean allowReservedKeywords)`
    `void` | `setCharacterEncoding(java.lang.String characterEncoding)`
    `void` | `setErrorReporter(ErrorReporter errorReporter)`
    `void` | `setGeneratingDebug(boolean generatingDebug)`
    `void` | `setLanguageVersion(int version)`
    `void` | `setOptimizationLevel(int optimizationLevel)`
    `void` | `setStrictMode(boolean flag)`
    `void` | `setWarningAsError(boolean flag)`

    - ### Methods inherited from class org.mozilla.javascript.ContextFactory

      `addListener, call, checkNotSealed, createClassLoader, doTopCall, enter, enterContext, enterContext, exit, getApplicationClassLoader, getE4xImplementationFactory, getGlobal, getGlobalSetter, hasExplicitGlobal, initApplicationClassLoader, initGlobal, isSealed, makeContext, observeInstructionCount, onContextReleased, removeListener, seal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellContextFactory

          public ShellContextFactory()

  - ### Method Detail

    - #### hasFeature

          protected boolean hasFeature(Context cx,
                                       int featureIndex)

      Description copied from class: `ContextFactory`
      Implementation of `Context.hasFeature(int featureIndex)`. This can be used to customize `Context` without introducing additional subclasses.
      Overrides:
        `hasFeature` in class `ContextFactory`

    - #### onContextCreated

          protected void onContextCreated(Context cx)

      Overrides:
        `onContextCreated` in class `ContextFactory`

    - #### setStrictMode

          public void setStrictMode(boolean flag)

    - #### setWarningAsError

          public void setWarningAsError(boolean flag)

    - #### setLanguageVersion

          public void setLanguageVersion(int version)

    - #### setOptimizationLevel

          public void setOptimizationLevel(int optimizationLevel)

    - #### setErrorReporter

          public void setErrorReporter(ErrorReporter errorReporter)

    - #### setGeneratingDebug

          public void setGeneratingDebug(boolean generatingDebug)

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

    - #### setCharacterEncoding

          public void setCharacterEncoding(java.lang.String characterEncoding)

    - #### setAllowReservedKeywords

          public void setAllowReservedKeywords(boolean allowReservedKeywords)